# inbox/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path("conversations/",
         views.conversations,        name="inbox-conversations"),

    path("conversations/<int:conv_id>/",
         views.conversation_detail,  name="inbox-conv-detail"),

    path("conversations/<int:conv_id>/messages/",
         views.messages,             name="inbox-messages"),

    path("conversations/<int:conv_id>/messages/<int:msg_id>/",
         views.message_detail,       name="inbox-message-detail"),

    path("messages/<int:msg_id>/forward/",
         views.forward_message,      name="inbox-forward"),

    path("contacts/",
         views.contacts,             name="inbox-contacts"),
    path("conversations/<int:conv_id>/messages/<int:msg_id>/react/",
         views.toggle_reaction,      name="inbox-react"),
]